# Documentation

This directory contains additional documentation and resources for mvn-tree-visualizer.

## Structure

- `images/` - Screenshots and visual examples
- `INTEGRATION.md` - Integration guide for CI/CD and automation

## Visual Examples

### HTML Output
The HTML output generates an interactive Mermaid.js diagram that you can:
- Pan and zoom
- Click on nodes to highlight paths
- Export as SVG
- View in any modern web browser

### JSON Output
The JSON output provides a structured representation perfect for:
- Automation scripts
- CI/CD pipelines
- Custom analysis tools
- Integration with other systems

## Contributing to Documentation

When adding new features:
1. Update the main README.md
2. Add examples to the examples/ directory
3. Update this documentation
4. Include screenshots if relevant

## Screenshots Needed

We're looking for contributors to help add screenshots showing:
- HTML output examples
- JSON output examples
- Before/after comparisons
- Usage in different browsers

If you can help with screenshots, please see our [Contributing Guide](../CONTRIBUTING.md).
